Bug 227510 - www/nextcloud dependency php5 -> php7 upgrade
Summary: www/nextcloud dependency php5 -> php7 upgrade
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Many People
Assignee: Bernard Spil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-14 09:01 UTC by Ilkka Tengvall
Modified: 2018-05-01 14:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (brnrd)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ilkka Tengvall 2018-04-14 09:01:43 UTC
Hi,

I use Nextcloud in FreeNAS jail, thanks for the package. Now the php version is rather old, it's php56, where as Nextcloud itself is already recommending php7 due performance and other improvements. E.g. I could not install Mindmap addon due it requires php7.

Now looking at the ports, dependency is fixed to php56. Could it be updated to php7, e.g. php72? I don't know what's the versioning logic in FreeBSD, could it be rather locked to php7 major version instead of minor version, or better yet any php and I could myself select if I use 5 or 7 due my needs as a user.

Here's sniplet from the port:

"
Runtime dependencies:
    php56-pecl-smbclient>=0.9.0 : net/pecl-smbclient@php56
    php.h : lang/php56
"

https://www.freshports.org/www/nextcloud/

I tried installing it on php7, and noticed also the php-mysql package does not exists for php7, it's nowadays named as php72-mysqli. Note the i at the end. The end result of installing php7 packages nowadays is that it also removes php5, and nextcloud package depends on it, so nextcloud is also removed.

So without change in port nextcloud can not be pkg installed with php7. Can you please change it?

BR,
Ilkka
Comment 1 Bernard Spil freebsd_committer 2018-04-27 08:15:05 UTC
Setting default OFF for the pecl-smbclient dependency to prevent issues with the package
Comment 2 commit-hook freebsd_committer 2018-04-27 08:18:33 UTC
A commit references this bug:

Author: brnrd
Date: Fri Apr 27 08:17:30 UTC 2018
New revision: 468405
URL: https://svnweb.freebsd.org/changeset/ports/468405

Log:
  www/nextcloud: Update to 13.0.2

   - SMB option now default OFF [1,2]

  PR:		227510 [1], 216187 [2]
  Reported by:	Ilkka Tengvall <ilkka tengvall iki fi> [1]
  Reported by:	johnllyon gmail com [2]

Changes:
  head/www/nextcloud/Makefile
  head/www/nextcloud/distinfo
  head/www/nextcloud/pkg-plist
Comment 3 Ilkka Tengvall 2018-04-29 15:30:07 UTC
I reopen this ticket. It was not enough to touch the samba dependency. Still if I try replacing php56 packages with php72 packages, it removes nextcloud. So there is more to the dependency.

See here:


 # pkg install nextcloud
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
Checking integrity... done (28 conflicting)
  - php56-session-5.6.36 conflicts with php72-session-7.2.5 on /usr/local/include/php/ext/session/php_session.h
  - php56-5.6.36 conflicts with php72-7.2.5 on /usr/local/bin/php
  - php56-opcache-5.6.36 conflicts with php72-opcache-7.2.5 on /usr/local/include/php/ext/opcache/zend_shared_alloc.h
  - php56-xsl-5.6.36 conflicts with php72-xsl-7.2.5 on /usr/local/include/php/ext/xsl/xsl_fe.h
  - php56-xml-5.6.36 conflicts with php72-xml-7.2.5 on /usr/local/include/php/ext/xml/php_xml.h
  - php56-dom-5.6.36 conflicts with php72-dom-7.2.5 on /usr/local/include/php/ext/dom/dom_ce.h
  - php56-xmlwriter-5.6.36 conflicts with php72-xmlwriter-7.2.5 on /usr/local/include/php/ext/xmlwriter/config.h
  - php56-xmlreader-5.6.36 conflicts with php72-xmlreader-7.2.5 on /usr/local/include/php/ext/xmlreader/config.h
  - php56-wddx-5.6.36 conflicts with php72-wddx-7.2.5 on /usr/local/include/php/ext/wddx/php_wddx.h
  - php56-simplexml-5.6.36 conflicts with php72-simplexml-7.2.5 on /usr/local/include/php/ext/simplexml/php_simplexml.h
  - php56-ctype-5.6.36 conflicts with php72-ctype-7.2.5 on /usr/local/include/php/ext/ctype/config.h
  - php56-posix-5.6.36 conflicts with php72-posix-7.2.5 on /usr/local/include/php/ext/posix/config.h
  - php56-fileinfo-5.6.36 conflicts with php72-fileinfo-7.2.5 on /usr/local/include/php/ext/fileinfo/config.h
  - php56-openssl-5.6.36 conflicts with php72-openssl-7.2.5 on /usr/local/include/php/ext/openssl/config.h
  - php56-hash-5.6.36 conflicts with php72-hash-7.2.5 on /usr/local/include/php/ext/hash/php_hash_crc32_tables.h
  - php56-filter-5.6.36 conflicts with php72-filter-7.2.5 on /usr/local/include/php/ext/filter/filter_private.h
  - php56-ldap-5.6.36 conflicts with php72-ldap-7.2.5 on /usr/local/include/php/ext/ldap/config.h
  - php56-gd-5.6.36 conflicts with php72-gd-7.2.5 on /usr/local/include/php/ext/gd/gdcache.h
  - php56-exif-5.6.36 conflicts with php72-exif-7.2.5 on /usr/local/include/php/ext/exif/config.h
  - php56-curl-5.6.36 conflicts with php72-curl-7.2.5 on /usr/local/include/php/ext/curl/config.h
  - php56-json-5.6.36 conflicts with php72-json-7.2.5 on /usr/local/include/php/ext/json/php_json.h
  - php56-pdo_mysql-5.6.36 conflicts with php72-pdo_mysql-7.2.5 on /usr/local/include/php/ext/pdo_mysql/php_pdo_mysql.h
  - php56-pdo-5.6.36 conflicts with php72-pdo-7.2.5 on /usr/local/include/php/ext/pdo/php_pdo.h
  - php56-mbstring-5.6.36 conflicts with php72-mbstring-7.2.5 on /usr/local/include/php/ext/mbstring/php_mbregex.h
  - php56-iconv-5.6.36 conflicts with php72-iconv-7.2.5 on /usr/local/include/php/ext/iconv/config.h
  - php56-zlib-5.6.36 conflicts with php72-zlib-7.2.5 on /usr/local/include/php/ext/zlib/php_zlib.h
  - php56-zip-5.6.36 conflicts with php72-zip-7.2.5 on /usr/local/include/php/ext/zip/php_zip.h
  - php56-bz2-5.6.36 conflicts with php72-bz2-7.2.5 on /usr/local/include/php/ext/bz2/php_bz2.h
Checking integrity... done (0 conflicting)
The following 60 package(s) will be affected (of 0 checked):

Installed packages to be REMOVED:
        php72-iconv-7.2.5
        php72-7.2.5
        php72-dom-7.2.5
        php72-xmlreader-7.2.5
        php72-xsl-7.2.5
        php72-xml-7.2.5
        php72-wddx-7.2.5
        php72-session-7.2.5
        php72-pdo-7.2.5
        php72-pdo_mysql-7.2.5
        php72-bz2-7.2.5
        php72-ctype-7.2.5
        php72-curl-7.2.5
        php72-exif-7.2.5
        php72-fileinfo-7.2.5
        php72-filter-7.2.5
        php72-gd-7.2.5
        php72-hash-7.2.5
        php72-json-7.2.5
        php72-ldap-7.2.5
        php72-pecl-smbclient-0.9.0_3
        php72-mbstring-7.2.5
        php72-mysqli-7.2.5
        php72-opcache-7.2.5
        php72-openssl-7.2.5
        php72-posix-7.2.5
        php72-simplexml-7.2.5
        php72-xmlwriter-7.2.5
        php72-zip-7.2.5
        php72-zlib-7.2.5

New packages to be INSTALLED:
        nextcloud: 13.0.2
        php56-session: 5.6.36
        php56: 5.6.36
        php56-opcache: 5.6.36
        php56-xsl: 5.6.36
        php56-xml: 5.6.36
        php56-dom: 5.6.36
        php56-xmlwriter: 5.6.36
        php56-xmlreader: 5.6.36
        php56-wddx: 5.6.36
        php56-simplexml: 5.6.36
        php56-ctype: 5.6.36
        php56-posix: 5.6.36
        php56-fileinfo: 5.6.36
        php56-openssl: 5.6.36
        php56-hash: 5.6.36
        php56-filter: 5.6.36
        php56-ldap: 5.6.36
        php56-gd: 5.6.36
        php56-exif: 5.6.36
        php56-curl: 5.6.36
        php56-json: 5.6.36
        php56-pdo_mysql: 5.6.36
        php56-pdo: 5.6.36
        php56-mysql: 5.6.36
        php56-mbstring: 5.6.36
        php56-iconv: 5.6.36
        php56-zlib: 5.6.36
        php56-zip: 5.6.36
        php56-bz2: 5.6.36

Number of packages to be removed: 30
Number of packages to be installed: 30

The process will require 145 MiB more space.

Proceed with this action? [y/N]:
Comment 4 Bernard Spil freebsd_committer 2018-04-29 15:50:56 UTC
Hi Ilkka,

That's not an issue of the port, but the default configuration that is used by the host building your packages.

Modify you /etc/make.conf and add
> DEFAULT_VERSIONS+= php=72

rebuild your packages and they will depend on 7.2.

Cheers, Bernard.
Comment 5 Bernard Spil freebsd_committer 2018-04-30 10:07:54 UTC
Ilkka, I've opened a review for addition of flavors to the port. Please check if https://reviews.freebsd.org/D15235 works for you? You'd need to replace the installed port with nextcloud-php72
Comment 6 commit-hook freebsd_committer 2018-04-30 15:43:43 UTC
A commit references this bug:

Author: brnrd
Date: Mon Apr 30 15:43:18 UTC 2018
New revision: 468708
URL: https://svnweb.freebsd.org/changeset/ports/468708

Log:
  www/nextcloud: PHP-flavorize

   - Create flavors for all PHP versions
   - Use releases dir (not pre-)

  PR:		227510
  Approved by:	mat
  Differential Revision:	https://reviews.freebsd.org/D15235

Changes:
  head/mail/nextcloud-mail/Makefile
  head/security/nextcloud-passman/Makefile
  head/security/nextcloud-twofactor_totp/Makefile
  head/security/nextcloud-twofactor_u2f/Makefile
  head/www/nextcloud/Makefile
  head/www/nextcloud-calendar/Makefile
  head/www/nextcloud-contacts/Makefile
  head/www/nextcloud-notes/Makefile
  head/www/nextcloud-tasks/Makefile
Comment 7 Bernard Spil freebsd_committer 2018-04-30 15:47:28 UTC
Hi Ilkka,

You should now replace nextcloud with nextcloud-php72 if you want to use the port with the latest PHP 7.2

Cheers, Bernard.
Comment 8 Ilkka Tengvall 2018-05-01 14:05:25 UTC
Excellent, thank you! Now I just wait for repos to update with new binaries.